<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewAction action="#{mbTypePrestation.init()}"/>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron rendered="#{!mbTypePrestation.serviceIndisponible}">
            <b:container>
                <h1>Prestations</h1>
            </b:container>
        </b:jumbotron>
        <b:jumbotron rendered="#{mbTypePrestation.serviceIndisponible}">
            <b:container>
                <h1>Service prestations momentanément indisponible :(</h1>
            </b:container>
        </b:jumbotron>
        <b:container fluid="true" id="containerBody" rendered="#{!mbTypePrestation.serviceIndisponible}">
            <b:row>
                <div class="head-box text-center mb-5">
                    <h2>Que cherchez vous</h2>
                    <h6 class="text-underline-primary">Choisissez un type de prestation pour consulter les prestataires</h6>
                </div>
            </b:row>
            <hr/>
            <br/>
            <b:row>
                <ui:repeat value="#{mbTypePrestation.getAllTypePrestation()}" var="prestation">
                    <b:column col-md="3">
                        <b:thumbnail style="height:290px; width:250px;border-radius:20px">
                            <b:commandLink href="/AppWeb/faces/Prestataires/affichagePrestataire.xhtml?idPrestation=#{prestation.id}&amp;libelle=#{prestation.libelle}">
                                           
                      	       <div class="text-center">
                                <img class="rounded-circle" src="http://localhost:9190/WSPrestataires/images/#{prestation.illustration}"
                                     alt="Generic placeholder image" width="200" height="auto"/>
                                <h4>#{prestation.libelle}</h4>
                                <p>#{prestation.description}</p>
                            </div>
                            </b:commandLink>
                        </b:thumbnail>
                    </b:column>
                </ui:repeat>
            </b:row>
            <hr/>
        </b:container>
    </ui:define>
</ui:composition>
</html>